nvme_get_log_persistent_event(2)

NAME
nvme_get_log_persistent_event - Retrieve Persistent Event Log

SYNOPSIS
int nvme_get_log_persistent_event (int fd , enum nvme_pevent_log_action action , __u32 size , void *pevent_log );

ARGUMENTS

fd  File descriptor of nvme device

action
    Action the controller should take during processing this command

size
    Size of pevent_log

pevent_log
    User address to store the persistent event log

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.